/*
 * Copyright (C) 2012 by the University of Western Sydney
 */

#include "utiltimer.h"
#include "node.h"
#include "classifier-mpath.h"
#include "common/timer-handler.h"
#include "scheduler.h"

UtilTimer::UtilTimer(Node * f) : TimerHandler() {
   f_ = f;
};

void UtilTimer::expire(Event*) {

	    // call the Node timeout routine
	    f_->timeout(0);
};
