/*
 * Copyright (C) 2012 by the University of Western Sydney
 */

#ifndef utiltimer_h
#define utiltimer_h

#include "common/timer-handler.h"
#include "scheduler.h"

// period for the utilization timer
#define UTIL_PERIOD 0.002

class Node;

/*  Timer for measuring utilization of ports */
class UtilTimer : public TimerHandler {
	public:
		Node *f_;

	    UtilTimer(Node * f);
	    void expire(Event *e);
};

#endif
